Cancellations
1 min
GET
https://tnapi.ticketpay.de/exports/cancellations
Query Parameters
- fromstringExampleDescription
- tostringExampleDescription
- filter_bystringExampleDescription
- time_periodstringDescription
- time_rangeintegerDescription
- idintegerDescription
- related_tointegerDescription
- event_idintegerDescription
Header Parameters
- AuthorizationstringrequiredDescription
Responses
200
- get_cancellations
- totalintegerExample
- pageintegerExample
- sizeintegerExample
- dataobject[]
- idintegerExample
- typestringExample
- related_tointegerExample
- actionstringExample
- reasonhashExample
{ "de": "Kullanz", "en": "Goodwill" } - event_idintegerExample
- used_by_typestringExample
- used_by_idintegerExample
- user_namestringExample
- created_isostringExample
- updated_isostringExample
401
- not_authorized
- messagestringExample
curl
curl --request GET \
--url https://tnapi.ticketpay.de/exports/cancellations \
--header 'accept: application/json' \
--header 'authorization: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("authorization", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://tnapi.ticketpay.de/exports/cancellations", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://tnapi.ticketpay.de/exports/cancellations")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["authorization"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://tnapi.ticketpay.de/exports/cancellations"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'authorization': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Response for get cancellations.
{
"total": 6,
"page": 1,
"size": 1,
"data": [
{
"id": 873,
"type": "Ticket",
"related_to": 5412580,
"action": "refund",
"reason": "{\"de\":\"Kullanz\",\"en\":\"Goodwill\"}",
"event_id": 110250,
"used_by_type": "Employee",
"used_by_id": 708,
"user_name": "Max Mustermann",
"created_iso": "2025-08-01T10:00:10+02:00",
"updated_iso": "2022-10-08T10:23:11+02:00"
}
]
}401
// Response for a failed authentification.
{
"message": "Unauthorized"
}